List handling_units
curl --request GET \
--url https://api.truecold.io/handling_unit \
--header 'x-api-key: <api-key>'import requests
url = "https://api.truecold.io/handling_unit"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.truecold.io/handling_unit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"code": "<string>",
"material_code": "<string>",
"material_name": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"soft_deleted": "2023-11-07T05:31:56Z",
"soft_deleted_by": "<string>",
"material_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"TOR_accumulated_minutes": 123,
"max_temp": 123,
"min_temp": 123,
"updated_at": "2023-11-07T05:31:56Z",
"zone_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"emails_to_notify": [
"<string>"
],
"avg_temp": 123,
"humidity_min": 123,
"humidity_max": 123,
"humidity_avg": 123,
"risk_score": 123,
"archived": true
}
]{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}Handling Units
List handling_units
GET
/
handling_unit
List handling_units
Authorizations
API key for authentication. Contact your administrator to get an API key.
Query Parameters
Search term to filter results
Page number for pagination
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 100Response
Successfully retrieved handling_units
Unique identifier
Creation timestamp
code code
material code
material name
Account ID
Site ID
Soft deletion timestamp
User who soft deleted the record
Material ID
TOR Accumulated Minutes
Max Temp
Min Temp
Last update timestamp
Zone ID
Delivery ID
Email address
Average temperature
Minimum humidity
Maximum humidity
Average humidity
Risk score
Whether the handling unit is archived
